Retrieve a terminal offer
Retrieve a terminal offer.
curl --request GET \
--url https://api.yorlet.com/v1/terminal/offers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/terminal/offers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/terminal/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/terminal/offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/terminal/offers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/terminal/offers/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/terminal/offers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "terminal.offer",
"complimentary_item": {
"type": "drink"
},
"discount": {
"amount_off": 1,
"min_spend": 1,
"percent_off": 50
},
"expires_at": 123,
"location": "<string>",
"max_redemptions": 123,
"name": "<string>",
"status": "active",
"terms_of_service": {
"text": "<string>"
},
"trigger": {
"type": "move_in"
},
"type": "complimentary_item",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Get a terminal offer
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
terminal.offer Details about the complimentary item offered. Required when type is complimentary_item.
Show child attributes
Show child attributes
Details about the discount offered. Required when type is discount.
Show child attributes
Show child attributes
The date and time at which the offer expires.
The location the offer applies to.
The maximum number of times the offer can be redeemed.
A name for the offer.
1The status of the offer.
active, inactive, expired The terms of service that apply to the offer.
Show child attributes
Show child attributes
A trigger that automatically grants the offer when an event occurs.
Show child attributes
Show child attributes
The type of the offer.
complimentary_item, discount The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
curl --request GET \
--url https://api.yorlet.com/v1/terminal/offers/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/terminal/offers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/terminal/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/terminal/offers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/terminal/offers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/terminal/offers/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/terminal/offers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "terminal.offer",
"complimentary_item": {
"type": "drink"
},
"discount": {
"amount_off": 1,
"min_spend": 1,
"percent_off": 50
},
"expires_at": 123,
"location": "<string>",
"max_redemptions": 123,
"name": "<string>",
"status": "active",
"terms_of_service": {
"text": "<string>"
},
"trigger": {
"type": "move_in"
},
"type": "complimentary_item",
"account": "<string>",
"deleted": false
}